int CreateAreaAtXZ(string ObjName="", float AtX=.5, float AtZ=.5, float WidthX=0, float WidthZ=0, float HeightBlend=2, float Coherence=1) {
   int id = rmCreateArea(ObjName);
   rmSetAreaHeightBlend(id,HeightBlend);
   if (AtX>-1 && AtZ>-1) rmSetAreaLocation(id,AtX,AtZ);
   rmSetAreaSize(id,WidthX,WidthZ);
   rmSetAreaBaseHeight(id,0);
   rmSetAreaCoherence(id,Coherence);
   rmSetAreaWaterType(id, "Red Sea");
   rmBuildArea(id);
   return (id);
}

string AddObject(int i=0, float MyAtX=0, float MyAtZ=0) {
   int x=1;
   string ObjName="";
   if (i==x) ObjName="Academy";
   x=x+1;
   if (i==x) ObjName="Agamemnon";
   x=x+1;
   if (i==x) ObjName="Ajax";
   x=x+1;
   if (i==x) ObjName="Amanra";
   x=x+1;
   if (i==x) ObjName="Animal Attractor";
   x=x+1;
   if (i==x) ObjName="Anubite";
   x=x+1;
   if (i==x) ObjName="Ape of Set";
   x=x+1;
   if (i==x) ObjName="Archery Range";
   x=x+1;
   if (i==x) ObjName="Arkantos";
   x=x+1;
   if (i==x) ObjName="Arkantos Boost SFX";
   x=x+1;
   if (i==x) ObjName="Arkantosman";
   x=x+1;
   if (i==x) ObjName="Armor Glow Small";
   x=x+1;
   if (i==x) ObjName="Armory";
   x=x+1;
   if (i==x) ObjName="Arrow";
   x=x+1;
   if (i==x) ObjName="Arrow Flaming";
   x=x+1;
   if (i==x) ObjName="Arrow Signal";
   x=x+1;
   if (i==x) ObjName="Arrow Splash SFX";
   x=x+1;
   if (i==x) ObjName="Athena";
   x=x+1;
   if (i==x) ObjName="Atlantis Gate";
   x=x+1;
   if (i==x) ObjName="Atlantis Tile";
   x=x+1;
   if (i==x) ObjName="Atlantis Tile Dead";
   x=x+1;
   if (i==x) ObjName="Atlantis Wall Connector";
   x=x+1;
   if (i==x) ObjName="Atlantis Wall Long";
   x=x+1;
   if (i==x) ObjName="Attack Revealer";
   x=x+1;
   if (i==x) ObjName="Aurochs";
   x=x+1;
   if (i==x) ObjName="Avalanche";
   x=x+1;
   if (i==x) ObjName="Avenger";
   x=x+1;
   if (i==x) ObjName="Axe";
   x=x+1;
   if (i==x) ObjName="Axeman";
   x=x+1;
   if (i==x) ObjName="Baboon";
   x=x+1;
   if (i==x) ObjName="Ball of Fire";
   x=x+1;
   if (i==x) ObjName="Ball of fire impact";
   x=x+1;
   if (i==x) ObjName="Ball of Fire invisible";
   x=x+1;
   if (i==x) ObjName="Ballista";
   x=x+1;
   if (i==x) ObjName="Ballista Shot";
   x=x+1;
   if (i==x) ObjName="Bandit Migdol";
   x=x+1;
   if (i==x) ObjName="Barracks";
   x=x+1;
   if (i==x) ObjName="Barrel";
   x=x+1;
   if (i==x) ObjName="Battle Boar";
   x=x+1;
   if (i==x) ObjName="Bear";
   x=x+1;
   if (i==x) ObjName="Berry Bush";
   x=x+1;
   if (i==x) ObjName="Blood";
   x=x+1;
   if (i==x) ObjName="Blood Cinematic";
   x=x+1;
   if (i==x) ObjName="Blood Flow";
   x=x+1;
   if (i==x) ObjName="Blood Gore";
   x=x+1;
   if (i==x) ObjName="Blowing Leaves";
   x=x+1;
   if (i==x) ObjName="Boar";
   x=x+1;
   if (i==x) ObjName="Bolder Rolling";
   x=x+1;
   if (i==x) ObjName="Bolder Rolling 2";
   x=x+1;
   if (i==x) ObjName="Bolder Rolling Dead";
   x=x+1;
   if (i==x) ObjName="Bolder Wall";
   x=x+1;
   if (i==x) ObjName="Bolt Scorch";
   x=x+1;
   if (i==x) ObjName="Bolt Strike";
   x=x+1;
   if (i==x) ObjName="Bridge";
   x=x+1;
   if (i==x) ObjName="Broken Siege Weapons";
   x=x+1;
   if (i==x) ObjName="Brokk";
   x=x+1;
   if (i==x) ObjName="Bush";
   x=x+1;
   if (i==x) ObjName="Camelry";
   x=x+1;
   if (i==x) ObjName="Camera";
   x=x+1;
   if (i==x) ObjName="Camera Motion Arrow";
   x=x+1;
   if (i==x) ObjName="Camera Start";
   x=x+1;
   if (i==x) ObjName="Campfire";
   x=x+1;
   if (i==x) ObjName="Caravan Egyptian";
   x=x+1;
   if (i==x) ObjName="Caravan Greek";
   x=x+1;
   if (i==x) ObjName="Caravan Norse";
   x=x+1;
   if (i==x) ObjName="Carcinos";
   x=x+1;
   if (i==x) ObjName="Caribou";
   x=x+1;
   if (i==x) ObjName="Cataphract";
   x=x+1;
   if (i==x) ObjName="Catapult";
   x=x+1;
   if (i==x) ObjName="Catapult Shot";
   x=x+1;
   if (i==x) ObjName="Centaur";
   x=x+1;
   if (i==x) ObjName="Chariot Archer";
   x=x+1;
   if (i==x) ObjName="Charon Ferry";
   x=x+1;
   if (i==x) ObjName="Chicken";
   x=x+1;
   if (i==x) ObjName="Chicken Blood";
   x=x+1;
   if (i==x) ObjName="Chicken Exploding";
   x=x+1;
   if (i==x) ObjName="Chimera";
   x=x+1;
   if (i==x) ObjName="Chiron";
   x=x+1;
   if (i==x) ObjName="Cinematic Block";
   x=x+1;
   if (i==x) ObjName="Cinematic Dead Bodies";
   x=x+1;
   if (i==x) ObjName="Cinematic rocks";
   x=x+1;
   if (i==x) ObjName="Cinematic Scorch";
   x=x+1;
   if (i==x) ObjName="Cinematic Trees";
   x=x+1;
   if (i==x) ObjName="Cinematic Wake";
   x=x+1;
   if (i==x) ObjName="Circe";
   x=x+1;
   if (i==x) ObjName="Citadel Center";
   x=x+1;
   if (i==x) ObjName="Citadel SFX";
   x=x+1;
   if (i==x) ObjName="Clone SFX";
   x=x+1;
   if (i==x) ObjName="Cloud";
   x=x+1;
   if (i==x) ObjName="Colossus";
   x=x+1;
   if (i==x) ObjName="Columns";
   x=x+1;
   if (i==x) ObjName="Columns Broken";
   x=x+1;
   if (i==x) ObjName="Columns Fallen";
   x=x+1;
   if (i==x) ObjName="Construction Extra Large";
   x=x+1;
   if (i==x) ObjName="Construction Large";
   x=x+1;
   if (i==x) ObjName="Construction Medium";
   x=x+1;
   if (i==x) ObjName="Construction Small";
   x=x+1;
   if (i==x) ObjName="Conversion SFX";
   x=x+1;
   if (i==x) ObjName="Coral Reef";
   x=x+1;
   if (i==x) ObjName="Cow";
   x=x+1;
   if (i==x) ObjName="Crab Blood";
   x=x+1;
   if (i==x) ObjName="Crate";
   x=x+1;
   if (i==x) ObjName="Crate Small";
   x=x+1;
   if (i==x) ObjName="Crocodile";
   x=x+1;
   if (i==x) ObjName="Crocodile of Set";
   x=x+1;
   if (i==x) ObjName="Crossbowman";
   x=x+1;
   if (i==x) ObjName="Crowned Crane";
   x=x+1;
   if (i==x) ObjName="Curse SFX";
   x=x+1;
   if (i==x) ObjName="Cyclops";
   x=x+1;
   if (i==x) ObjName="Deer";
   x=x+1;
   if (i==x) ObjName="Destroyed Buildings Large";
   x=x+1;
   if (i==x) ObjName="Destroyed Buildings Med";
   x=x+1;
   if (i==x) ObjName="Destroyed Buildings Small";
   x=x+1;
   if (i==x) ObjName="Destruction 1x1";
   x=x+1;
   if (i==x) ObjName="Destruction 2x2";
   x=x+1;
   if (i==x) ObjName="Destruction 3x3";
   x=x+1;
   if (i==x) ObjName="Destruction 4x4";
   x=x+1;
   if (i==x) ObjName="Destruction 5x5";
   x=x+1;
   if (i==x) ObjName="Destruction 8x8";
   x=x+1;
   if (i==x) ObjName="Destruction Citadel";
   x=x+1;
   if (i==x) ObjName="Destruction Settlement";
   x=x+1;
   if (i==x) ObjName="Dig Pile";
   x=x+1;
   if (i==x) ObjName="Dock";
   x=x+1;
   if (i==x) ObjName="Dove";
   x=x+1;
   if (i==x) ObjName="Dust Devil";
   x=x+1;
   if (i==x) ObjName="Dust Large";
   x=x+1;
   if (i==x) ObjName="Dust Medium";
   x=x+1;
   if (i==x) ObjName="Dust Small";
   x=x+1;
   if (i==x) ObjName="Dwarf";
   x=x+1;
   if (i==x) ObjName="Dwarf Foundry";
   x=x+1;
   if (i==x) ObjName="Dwarven Forge";
   x=x+1;
   if (i==x) ObjName="Earthquake";
   x=x+1;
   if (i==x) ObjName="Earthquake CrackA";
   x=x+1;
   if (i==x) ObjName="Earthquake CrackB";
   x=x+1;
   if (i==x) ObjName="Earthquake CrackC";
   x=x+1;
   if (i==x) ObjName="Earthquake CrackD";
   x=x+1;
   if (i==x) ObjName="Egyptian Vulture";
   x=x+1;
   if (i==x) ObjName="Einheriar";
   x=x+1;
   if (i==x) ObjName="Einheriar Boost SFX";
   x=x+1;
   if (i==x) ObjName="Eitri";
   x=x+1;
   if (i==x) ObjName="Elephant";
   x=x+1;
   if (i==x) ObjName="Elk";
   x=x+1;
   if (i==x) ObjName="Evil Cloud SFX";
   x=x+1;
   if (i==x) ObjName="Excavation";
   x=x+1;
   if (i==x) ObjName="Farm";
   x=x+1;
   if (i==x) ObjName="Female";
   x=x+1;
   if (i==x) ObjName="Fence Iron";
   x=x+1;
   if (i==x) ObjName="Fence Stone";
   x=x+1;
   if (i==x) ObjName="Fence Wood";
   x=x+1;
   if (i==x) ObjName="Fenris Wolf";
   x=x+1;
   if (i==x) ObjName="Fern";
   x=x+1;
   if (i==x) ObjName="Fertile Plants SFX";
   x=x+1;
   if (i==x) ObjName="Fimbulwinter SFX";
   x=x+1;
   if (i==x) ObjName="Fimbulwinter Wolf";
   x=x+1;
   if (i==x) ObjName="Fire Giant";
   x=x+1;
   if (i==x) ObjName="Fire Hades";
   x=x+1;
   if (i==x) ObjName="Fire Object";
   x=x+1;
   if (i==x) ObjName="Fire Object Big";
   x=x+1;
   if (i==x) ObjName="Fire Pit";
   x=x+1;
   if (i==x) ObjName="Fire Wood";
   x=x+1;
   if (i==x) ObjName="Fish - Mahi";
   x=x+1;
   if (i==x) ObjName="Fish - Perch";
   x=x+1;
   if (i==x) ObjName="Fish - Salmon";
   x=x+1;
   if (i==x) ObjName="Fishing Ship Egyptian";
   x=x+1;
   if (i==x) ObjName="Fishing Ship Greek";
   x=x+1;
   if (i==x) ObjName="Fishing Ship Norse";
   x=x+1;
   if (i==x) ObjName="Flag";
   x=x+1;
   if (i==x) ObjName="Flag Numbered";
   x=x+1;
   if (i==x) ObjName="Flaming Footprint";
   x=x+1;
   if (i==x) ObjName="Flowers";
   x=x+1;
   if (i==x) ObjName="Flying Purple Hippo";
   x=x+1;
   if (i==x) ObjName="Folstag Flag";
   x=x+1;
   if (i==x) ObjName="Folstag Flag Bearer";
   x=x+1;
   if (i==x) ObjName="Footprint Animal Large";
   x=x+1;
   if (i==x) ObjName="Footprint Animal Small";
   x=x+1;
   if (i==x) ObjName="Footprint Cavalry";
   x=x+1;
   if (i==x) ObjName="Footprint Elephant";
   x=x+1;
   if (i==x) ObjName="Footprint Giant";
   x=x+1;
   if (i==x) ObjName="Footprint Hydra";
   x=x+1;
   if (i==x) ObjName="Footprint Military";
   x=x+1;
   if (i==x) ObjName="Footprint Portable Ram";
   x=x+1;
   if (i==x) ObjName="Footprint Scarab";
   x=x+1;
   if (i==x) ObjName="Footprint Scorpion";
   x=x+1;
   if (i==x) ObjName="Footprint Siege";
   x=x+1;
   if (i==x) ObjName="Footprint Villager";
   x=x+1;
   if (i==x) ObjName="Footprint Wheel";
   x=x+1;
   if (i==x) ObjName="Forest Fire Attack";
   x=x+1;
   if (i==x) ObjName="Forest Fire SFX";
   x=x+1;
   if (i==x) ObjName="Forkboy";
   x=x+1;
   if (i==x) ObjName="Fortress";
   x=x+1;
   if (i==x) ObjName="Fountain";
   x=x+1;
   if (i==x) ObjName="Frost Drift";
   x=x+1;
   if (i==x) ObjName="Frost Giant";
   x=x+1;
   if (i==x) ObjName="Gargarensis";
   x=x+1;
   if (i==x) ObjName="Garrison Flag";
   x=x+1;
   if (i==x) ObjName="Gate";
   x=x+1;
   if (i==x) ObjName="Gate Ram";
   x=x+1;
   if (i==x) ObjName="Gate Ram 2";
   x=x+1;
   if (i==x) ObjName="Gate Ram Destroyed";
   x=x+1;
   if (i==x) ObjName="Gazelle";
   x=x+1;
   if (i==x) ObjName="Gazelle of Set";
   x=x+1;
   if (i==x) ObjName="Generic Corpse";
   x=x+1;
   if (i==x) ObjName="Ghost Ship";
   x=x+1;
   if (i==x) ObjName="Giant Duck-billed Platypus";
   x=x+1;
   if (i==x) ObjName="Giant Footprint";
   x=x+1;
   if (i==x) ObjName="Giraffe";
   x=x+1;
   if (i==x) ObjName="Giraffe of Set";
   x=x+1;
   if (i==x) ObjName="Goat";
   x=x+1;
   if (i==x) ObjName="Gold Mine";
   x=x+1;
   if (i==x) ObjName="Gold Mine Dwarven";
   x=x+1;
   if (i==x) ObjName="Gold Mine Small";
   x=x+1;
   if (i==x) ObjName="Gold Mine Tiny";
   x=x+1;
   if (i==x) ObjName="Golden Fleece";
   x=x+1;
   if (i==x) ObjName="Golden Lion";
   x=x+1;
   if (i==x) ObjName="Granary";
   x=x+1;
   if (i==x) ObjName="Grass";
   x=x+1;
   if (i==x) ObjName="Grass Tall";
   x=x+1;
   if (i==x) ObjName="Great Box";
   x=x+1;
   if (i==x) ObjName="Great Box Cart";
   x=x+1;
   if (i==x) ObjName="Great Box Cart 2";
   x=x+1;
   if (i==x) ObjName="Guardian";
   x=x+1;
   if (i==x) ObjName="Guardian Sleeping";
   x=x+1;
   if (i==x) ObjName="Hades Door";
   x=x+1;
   if (i==x) ObjName="Hades Fire";
   x=x+1;
   if (i==x) ObjName="Harpy";
   x=x+1;
   if (i==x) ObjName="Hawk";
   x=x+1;
   if (i==x) ObjName="Hawksbill";
   x=x+1;
   if (i==x) ObjName="Healing Area SFX";
   x=x+1;
   if (i==x) ObjName="Healing SFX";
   x=x+1;
   if (i==x) ObjName="Healing Spring Object";
   x=x+1;
   if (i==x) ObjName="Heavenlight";
   x=x+1;
   if (i==x) ObjName="Helepolis";
   x=x+1;
   if (i==x) ObjName="Hero Birth";
   x=x+1;
   if (i==x) ObjName="Hero Boar";
   x=x+1;
   if (i==x) ObjName="Hero Boar 2";
   x=x+1;
   if (i==x) ObjName="Hero Death";
   x=x+1;
   if (i==x) ObjName="Hero Death Revealer";
   x=x+1;
   if (i==x) ObjName="Hero Greek Achilles";
   x=x+1;
   if (i==x) ObjName="Hero Greek Ajax";
   x=x+1;
   if (i==x) ObjName="Hero Greek Argo";
   x=x+1;
   if (i==x) ObjName="Hero Greek Atalanta";
   x=x+1;
   if (i==x) ObjName="Hero Greek Bellerophon";
   x=x+1;
   if (i==x) ObjName="Hero Greek Chiron";
   x=x+1;
   if (i==x) ObjName="Hero Greek Heracles";
   x=x+1;
   if (i==x) ObjName="Hero Greek Hippolyta";
   x=x+1;
   if (i==x) ObjName="Hero Greek Jason";
   x=x+1;
   if (i==x) ObjName="Hero Greek Odysseus";
   x=x+1;
   if (i==x) ObjName="Hero Greek Perseus";
   x=x+1;
   if (i==x) ObjName="Hero Greek Polyphemus";
   x=x+1;
   if (i==x) ObjName="Hero Greek Theseus";
   x=x+1;
   if (i==x) ObjName="Hero Norse";
   x=x+1;
   if (i==x) ObjName="Hero Ragnorok";
   x=x+1;
   if (i==x) ObjName="Hetairoi";
   x=x+1;
   if (i==x) ObjName="Hill Fort";
   x=x+1;
   if (i==x) ObjName="Hippikon";
   x=x+1;
   if (i==x) ObjName="Hippo";
   x=x+1;
   if (i==x) ObjName="Hippo of Set";
   x=x+1;
   if (i==x) ObjName="Hippocampus";
   x=x+1;
   if (i==x) ObjName="Hoofprint";
   x=x+1;
   if (i==x) ObjName="Hoplite";
   x=x+1;
   if (i==x) ObjName="House";
   x=x+1;
   if (i==x) ObjName="Huskarl";
   x=x+1;
   if (i==x) ObjName="Hydra";
   x=x+1;
   if (i==x) ObjName="Hyena";
   x=x+1;
   if (i==x) ObjName="Hyena of Set";
   x=x+1;
   if (i==x) ObjName="Hypaspist";
   x=x+1;
   if (i==x) ObjName="Ice Block";
   x=x+1;
   if (i==x) ObjName="Ice Sheet";
   x=x+1;
   if (i==x) ObjName="Icy Footprint";
   x=x+1;
   if (i==x) ObjName="Increase Prosperity Large";
   x=x+1;
   if (i==x) ObjName="Increase Prosperity Small";
   x=x+1;
   if (i==x) ObjName="Inferno Fire Ground";
   x=x+1;
   if (i==x) ObjName="Inferno Unit Flame";
   x=x+1;
   if (i==x) ObjName="Invisible Gate";
   x=x+1;
   if (i==x) ObjName="Invisible Ram";
   x=x+1;
   if (i==x) ObjName="Jail Wall";
   x=x+1;
   if (i==x) ObjName="Jarl";
   x=x+1;
   if (i==x) ObjName="Jormund Elver";
   x=x+1;
   if (i==x) ObjName="Kamos";
   x=x+1;
   if (i==x) ObjName="Kastor";
   x=x+1;
   if (i==x) ObjName="Kebenit";
   x=x+1;
   if (i==x) ObjName="Kraken";
   x=x+1;
   if (i==x) ObjName="Kraken Bits";
   x=x+1;
   if (i==x) ObjName="Kraken SPC";
   x=x+1;
   if (i==x) ObjName="Lava Bubbling";
   x=x+1;
   if (i==x) ObjName="Lazer Bear";
   x=x+1;
   if (i==x) ObjName="Leviathan";
   x=x+1;
   if (i==x) ObjName="Lighthouse";
   x=x+1;
   if (i==x) ObjName="Lightning Cloud";
   x=x+1;
   if (i==x) ObjName="Lightning Rain";
   x=x+1;
   if (i==x) ObjName="Lightning Scorch";
   x=x+1;
   if (i==x) ObjName="Lightning sparks";
   x=x+1;
   if (i==x) ObjName="Lightning Sparks Ground";
   x=x+1;
   if (i==x) ObjName="Lightning Strike";
   x=x+1;
   if (i==x) ObjName="Lion";
   x=x+1;
   if (i==x) ObjName="Locust Swarm";
   x=x+1;
   if (i==x) ObjName="Longboat";
   x=x+1;
   if (i==x) ObjName="Longhouse";
   x=x+1;
   if (i==x) ObjName="Lumber Camp";
   x=x+1;
   if (i==x) ObjName="Manticore";
   x=x+1;
   if (i==x) ObjName="Manticore Barb";
   x=x+1;
   if (i==x) ObjName="Market";
   x=x+1;
   if (i==x) ObjName="Market Stall";
   x=x+1;
   if (i==x) ObjName="Medusa";
   x=x+1;
   if (i==x) ObjName="Mercenary";
   x=x+1;
   if (i==x) ObjName="Mercenary Cavalry";
   x=x+1;
   if (i==x) ObjName="Meteor";
   x=x+1;
   if (i==x) ObjName="Meteor Impact Ground";
   x=x+1;
   if (i==x) ObjName="Meteor Impact Water";
   x=x+1;
   if (i==x) ObjName="Migdol Stronghold";
   x=x+1;
   if (i==x) ObjName="Milestone";
   x=x+1;
   if (i==x) ObjName="Militia";
   x=x+1;
   if (i==x) ObjName="MIne Pieces";
   x=x+1;
   if (i==x) ObjName="Mini Atlantis";
   x=x+1;
   if (i==x) ObjName="Mining Camp";
   x=x+1;
   if (i==x) ObjName="Minion";
   x=x+1;
   if (i==x) ObjName="Minotaur";
   x=x+1;
   if (i==x) ObjName="Misc Objects";
   x=x+1;
   if (i==x) ObjName="Misc Stairs";
   x=x+1;
   if (i==x) ObjName="Mist";
   x=x+1;
   if (i==x) ObjName="Monkey";
   x=x+1;
   if (i==x) ObjName="Monkey Raft";
   x=x+1;
   if (i==x) ObjName="Monkey Relic";
   x=x+1;
   if (i==x) ObjName="Monument";
   x=x+1;
   if (i==x) ObjName="Monument 2";
   x=x+1;
   if (i==x) ObjName="Monument 3";
   x=x+1;
   if (i==x) ObjName="Monument 4";
   x=x+1;
   if (i==x) ObjName="Monument 5";
   x=x+1;
   if (i==x) ObjName="Mountain Giant";
   x=x+1;
   if (i==x) ObjName="Moveto";
   x=x+1;
   if (i==x) ObjName="Mummy";
   x=x+1;
   if (i==x) ObjName="Mummy Flies";
   x=x+1;
   if (i==x) ObjName="Myrmidon";
   x=x+1;
   if (i==x) ObjName="Naval Shipyard";
   x=x+1;
   if (i==x) ObjName="Nemean Lion";
   x=x+1;
   if (i==x) ObjName="Nidhogg";
   x=x+1;
   if (i==x) ObjName="Oak Autumn";
   x=x+1;
   if (i==x) ObjName="Oak Autumn Burning";
   x=x+1;
   if (i==x) ObjName="Oak stump";
   x=x+1;
   if (i==x) ObjName="Oak stump burnt";
   x=x+1;
   if (i==x) ObjName="Oak Tree";
   x=x+1;
   if (i==x) ObjName="Oak Tree Burning";
   x=x+1;
   if (i==x) ObjName="Oar Footprint";
   x=x+1;
   if (i==x) ObjName="Obelisk";
   x=x+1;
   if (i==x) ObjName="Odysseus";
   x=x+1;
   if (i==x) ObjName="Old Man";
   x=x+1;
   if (i==x) ObjName="Orca";
   x=x+1;
   if (i==x) ObjName="Ornlu";
   x=x+1;
   if (i==x) ObjName="Osiris";
   x=x+1;
   if (i==x) ObjName="Osiris Birth";
   x=x+1;
   if (i==x) ObjName="Osiris Box Glow";
   x=x+1;
   if (i==x) ObjName="Osiris Lightning";
   x=x+1;
   if (i==x) ObjName="Osiris SFX";
   x=x+1;
   if (i==x) ObjName="Outpost";
   x=x+1;
   if (i==x) ObjName="Ox Cart";
   x=x+1;
   if (i==x) ObjName="Palm";
   x=x+1;
   if (i==x) ObjName="Palm Burning";
   x=x+1;
   if (i==x) ObjName="Palm Stump";
   x=x+1;
   if (i==x) ObjName="Papyrus";
   x=x+1;
   if (i==x) ObjName="Pegasus";
   x=x+1;
   if (i==x) ObjName="Peltast";
   x=x+1;
   if (i==x) ObjName="Pestilence SFX1";
   x=x+1;
   if (i==x) ObjName="Pestilence SFX2";
   x=x+1;
   if (i==x) ObjName="Petosuchus Beam";
   x=x+1;
   if (i==x) ObjName="Petosuchus projectile";
   x=x+1;
   if (i==x) ObjName="Petrobolos";
   x=x+1;
   if (i==x) ObjName="Petrobolos Shot";
   x=x+1;
   if (i==x) ObjName="Petsuchos";
   x=x+1;
   if (i==x) ObjName="Pharaoh";
   x=x+1;
   if (i==x) ObjName="Pharaoh of Osiris";
   x=x+1;
   if (i==x) ObjName="Pharaoh Secondary";
   x=x+1;
   if (i==x) ObjName="Phoenix";
   x=x+1;
   if (i==x) ObjName="Phoenix Egg";
   x=x+1;
   if (i==x) ObjName="Pig";
   x=x+1;
   if (i==x) ObjName="Pig Special";
   x=x+1;
   if (i==x) ObjName="Pine";
   x=x+1;
   if (i==x) ObjName="Pine Burning";
   x=x+1;
   if (i==x) ObjName="Pine Dead";
   x=x+1;
   if (i==x) ObjName="Pine Dead Burning";
   x=x+1;
   if (i==x) ObjName="Pine Snow";
   x=x+1;
   if (i==x) ObjName="Pine Snow Burning";
   x=x+1;
   if (i==x) ObjName="Pine Stump";
   x=x+1;
   if (i==x) ObjName="Pirate Ship";
   x=x+1;
   if (i==x) ObjName="Plenty Flare";
   x=x+1;
   if (i==x) ObjName="Plenty Vault";
   x=x+1;
   if (i==x) ObjName="Plenty Vault KOTH";
   x=x+1;
   if (i==x) ObjName="Poison SFX";
   x=x+1;
   if (i==x) ObjName="Polar Bear";
   x=x+1;
   if (i==x) ObjName="Polaris";
   x=x+1;
   if (i==x) ObjName="Portable Ram";
   x=x+1;
   if (i==x) ObjName="Poseidon Statue";
   x=x+1;
   if (i==x) ObjName="Pots";
   x=x+1;
   if (i==x) ObjName="Priest";
   x=x+1;
   if (i==x) ObjName="Priest Projectile";
   x=x+1;
   if (i==x) ObjName="Prisoner";
   x=x+1;
   if (i==x) ObjName="Prodromos";
   x=x+1;
   if (i==x) ObjName="Pyramid Large";
   x=x+1;
   if (i==x) ObjName="Pyramid Small";
   x=x+1;
   if (i==x) ObjName="Raft";
   x=x+1;
   if (i==x) ObjName="Ragnorok SFX";
   x=x+1;
   if (i==x) ObjName="Raiding Cavalry";
   x=x+1;
   if (i==x) ObjName="Rain";
   x=x+1;
   if (i==x) ObjName="Rain Small";
   x=x+1;
   if (i==x) ObjName="Rainfall";
   x=x+1;
   if (i==x) ObjName="Ramming Ship Egyptian";
   x=x+1;
   if (i==x) ObjName="Ramming Ship Greek";
   x=x+1;
   if (i==x) ObjName="Ramming Ship Norse";
   x=x+1;
   if (i==x) ObjName="Raven";
   x=x+1;
   if (i==x) ObjName="Recognizer";
   x=x+1;
   if (i==x) ObjName="Regeneration SFX";
   x=x+1;
   if (i==x) ObjName="Reginleif";
   x=x+1;
   if (i==x) ObjName="Relic";
   x=x+1;
   if (i==x) ObjName="Revealer";
   x=x+1;
   if (i==x) ObjName="Revealer to Player";
   x=x+1;
   if (i==x) ObjName="Rhinoceros of Set";
   x=x+1;
   if (i==x) ObjName="Rhinocerous";
   x=x+1;
   if (i==x) ObjName="Roc";
   x=x+1;
   if (i==x) ObjName="Rock Cliff";
   x=x+1;
   if (i==x) ObjName="Rock Granite Big";
   x=x+1;
   if (i==x) ObjName="Rock Granite Small";
   x=x+1;
   if (i==x) ObjName="Rock Granite Sprite";
   x=x+1;
   if (i==x) ObjName="Rock Limestone Big";
   x=x+1;
   if (i==x) ObjName="Rock Limestone Small";
   x=x+1;
   if (i==x) ObjName="Rock Limestone Sprite";
   x=x+1;
   if (i==x) ObjName="Rock River Grassy";
   x=x+1;
   if (i==x) ObjName="Rock River Icy";
   x=x+1;
   if (i==x) ObjName="Rock River Sandy";
   x=x+1;
   if (i==x) ObjName="Rock Sandstone Big";
   x=x+1;
   if (i==x) ObjName="Rock Sandstone Small";
   x=x+1;
   if (i==x) ObjName="Rock Sandstone Sprite";
   x=x+1;
   if (i==x) ObjName="Rock Snow";
   x=x+1;
   if (i==x) ObjName="Rock Symbols";
   x=x+1;
   if (i==x) ObjName="Rotting Log";
   x=x+1;
   if (i==x) ObjName="Rugs";
   x=x+1;
   if (i==x) ObjName="Ruins";
   x=x+1;
   if (i==x) ObjName="Runestone";
   x=x+1;
   if (i==x) ObjName="Sand Drift Dune";
   x=x+1;
   if (i==x) ObjName="Sand Drift Patch";
   x=x+1;
   if (i==x) ObjName="Sand Drift Plain";
   x=x+1;
   if (i==x) ObjName="Savannah stump";
   x=x+1;
   if (i==x) ObjName="Savannah Tree";
   x=x+1;
   if (i==x) ObjName="Savannah Tree Burning";
   x=x+1;
   if (i==x) ObjName="Scarab";
   x=x+1;
   if (i==x) ObjName="Scarab Blood";
   x=x+1;
   if (i==x) ObjName="Scorpion Man";
   x=x+1;
   if (i==x) ObjName="Scorpion Tail";
   x=x+1;
   if (i==x) ObjName="Scout";
   x=x+1;
   if (i==x) ObjName="Scylla";
   x=x+1;
   if (i==x) ObjName="Sea Snake";
   x=x+1;
   if (i==x) ObjName="Sea Turtle";
   x=x+1;
   if (i==x) ObjName="Seagull";
   x=x+1;
   if (i==x) ObjName="Seaweed";
   x=x+1;
   if (i==x) ObjName="Sentinel Base";
   x=x+1;
   if (i==x) ObjName="Sentinel Main";
   x=x+1;
   if (i==x) ObjName="Serpent";
   x=x+1;
   if (i==x) ObjName="Setna";
   x=x+1;
   if (i==x) ObjName="Settlement";
   x=x+1;
   if (i==x) ObjName="Settlement Level 1";
   x=x+1;
   if (i==x) ObjName="Shaba Ka";
   x=x+1;
   if (i==x) ObjName="Shade";
   x=x+1;
   if (i==x) ObjName="Shade of Erebus";
   x=x+1;
   if (i==x) ObjName="Shade of Hades";
   x=x+1;
   if (i==x) ObjName="Shadow";
   x=x+1;
   if (i==x) ObjName="Shark";
   x=x+1;
   if (i==x) ObjName="Shifting Sands In";
   x=x+1;
   if (i==x) ObjName="Shifting Sands Out";
   x=x+1;
   if (i==x) ObjName="Shifting Sands Out Effect";
   x=x+1;
   if (i==x) ObjName="Shipwreck";
   x=x+1;
   if (i==x) ObjName="Shrine";
   x=x+1;
   if (i==x) ObjName="Siege Camp";
   x=x+1;
   if (i==x) ObjName="Siege Ship Egyptian";
   x=x+1;
   if (i==x) ObjName="Siege Ship Greek";
   x=x+1;
   if (i==x) ObjName="Siege Ship Norse";
   x=x+1;
   if (i==x) ObjName="Siege Tower";
   x=x+1;
   if (i==x) ObjName="Sign";
   x=x+1;
   if (i==x) ObjName="Skeleton";
   x=x+1;
   if (i==x) ObjName="Skeleton Animal";
   x=x+1;
   if (i==x) ObjName="Skeleton Giant";
   x=x+1;
   if (i==x) ObjName="Skraeling";
   x=x+1;
   if (i==x) ObjName="Skult";
   x=x+1;
   if (i==x) ObjName="Sling Stone";
   x=x+1;
   if (i==x) ObjName="Slinger";
   x=x+1;
   if (i==x) ObjName="Smoke";
   x=x+1;
   if (i==x) ObjName="Smoke Big";
   x=x+1;
   if (i==x) ObjName="Smoke Giant";
   x=x+1;
   if (i==x) ObjName="Snow Drift";
   x=x+1;
   if (i==x) ObjName="Snow Drift Archery";
   x=x+1;
   if (i==x) ObjName="Snow Drift Barracks";
   x=x+1;
   if (i==x) ObjName="Snow Drift Major Temple";
   x=x+1;
   if (i==x) ObjName="Snow Drift Settlements";
   x=x+1;
   if (i==x) ObjName="Snow Drift Siege";
   x=x+1;
   if (i==x) ObjName="Snow Drift Stable";
   x=x+1;
   if (i==x) ObjName="Snow Drift Tower";
   x=x+1;
   if (i==x) ObjName="Snow Storm";
   x=x+1;
   if (i==x) ObjName="Snowfall";
   x=x+1;
   if (i==x) ObjName="SPCMeteor";
   x=x+1;
   if (i==x) ObjName="Spear";
   x=x+1;
   if (i==x) ObjName="Spear Flaming";
   x=x+1;
   if (i==x) ObjName="Spearman";
   x=x+1;
   if (i==x) ObjName="Sphinx";
   x=x+1;
   if (i==x) ObjName="Splash";
   x=x+1;
   if (i==x) ObjName="Splash Footprint";
   x=x+1;
   if (i==x) ObjName="Spy Eye";
   x=x+1;
   if (i==x) ObjName="Stable";
   x=x+1;
   if (i==x) ObjName="Stalagmite";
   x=x+1;
   if (i==x) ObjName="Statue Lion Left";
   x=x+1;
   if (i==x) ObjName="Statue Lion Right";
   x=x+1;
   if (i==x) ObjName="Statue of Lightning";
   x=x+1;
   if (i==x) ObjName="Statue of Major God";
   x=x+1;
   if (i==x) ObjName="Statue Pharaoh";
   x=x+1;
   if (i==x) ObjName="Stop Combat";
   x=x+1;
   if (i==x) ObjName="Storehouse";
   x=x+1;
   if (i==x) ObjName="Sword Bearers";
   x=x+1;
   if (i==x) ObjName="Tamarisk Tree";
   x=x+1;
   if (i==x) ObjName="Tamarisk Tree Dead";
   x=x+1;
   if (i==x) ObjName="Taproot";
   x=x+1;
   if (i==x) ObjName="Taproot large";
   x=x+1;
   if (i==x) ObjName="Taproot Small";
   x=x+1;
   if (i==x) ObjName="Temple";
   x=x+1;
   if (i==x) ObjName="Temple Underworld";
   x=x+1;
   if (i==x) ObjName="Tent";
   x=x+1;
   if (i==x) ObjName="Test Object";
   x=x+1;
   if (i==x) ObjName="Testomatic";
   x=x+1;
   if (i==x) ObjName="Theocrat";
   x=x+1;
   if (i==x) ObjName="Theris";
   x=x+1;
   if (i==x) ObjName="Thor hammer";
   x=x+1;
   if (i==x) ObjName="Thor Hammer Haft";
   x=x+1;
   if (i==x) ObjName="Thor Hammer Head";
   x=x+1;
   if (i==x) ObjName="Throwing Axeman";
   x=x+1;
   if (i==x) ObjName="Titan Bad";
   x=x+1;
   if (i==x) ObjName="Torch";
   x=x+1;
   if (i==x) ObjName="Tornado";
   x=x+1;
   if (i==x) ObjName="Tornado Debris";
   x=x+1;
   if (i==x) ObjName="Tower";
   x=x+1;
   if (i==x) ObjName="Toxotes";
   x=x+1;
   if (i==x) ObjName="Transport Ship Egyptian";
   x=x+1;
   if (i==x) ObjName="Transport Ship Greek";
   x=x+1;
   if (i==x) ObjName="Transport Ship Norse";
   x=x+1;
   if (i==x) ObjName="Trident";
   x=x+1;
   if (i==x) ObjName="Trireme";
   x=x+1;
   if (i==x) ObjName="Trojan Horse";
   x=x+1;
   if (i==x) ObjName="Troll";
   x=x+1;
   if (i==x) ObjName="Troy Gate";
   x=x+1;
   if (i==x) ObjName="Troy Gate Dead";
   x=x+1;
   if (i==x) ObjName="Troy Wall Connector";
   x=x+1;
   if (i==x) ObjName="Troy Wall Long";
   x=x+1;
   if (i==x) ObjName="Troy Wall Short";
   x=x+1;
   if (i==x) ObjName="Tunnel";
   x=x+1;
   if (i==x) ObjName="Tunnel Opening";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Archer";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Building";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Caravan";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Cavalry";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Furled";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Hero";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Infantry";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Myth";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Naval";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Oxcart";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Plain";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Siege";
   x=x+1;
   if (i==x) ObjName="UI Army Banner Villager";
   x=x+1;
   if (i==x) ObjName="UI Banner Objective";
   x=x+1;
   if (i==x) ObjName="UI Cloud Boarder";
   x=x+1;
   if (i==x) ObjName="UI Hero Banner";
   x=x+1;
   if (i==x) ObjName="UI Idle Military Banner";
   x=x+1;
   if (i==x) ObjName="UI Idle Villager Banner";
   x=x+1;
   if (i==x) ObjName="UI Range Indicator Egypt SFX";
   x=x+1;
   if (i==x) ObjName="UI Range Indicator Greek SFX";
   x=x+1;
   if (i==x) ObjName="UI Range Indicator Norse SFX";
   x=x+1;
   if (i==x) ObjName="UI Town Bell Banner";
   x=x+1;
   if (i==x) ObjName="Ulfsark";
   x=x+1;
   if (i==x) ObjName="Underbrush";
   x=x+1;
   if (i==x) ObjName="Undermine Building Destruction SFX";
   x=x+1;
   if (i==x) ObjName="undermine ground decal corner";
   x=x+1;
   if (i==x) ObjName="undermine ground decal long";
   x=x+1;
   if (i==x) ObjName="undermine ground decal short";
   x=x+1;
   if (i==x) ObjName="Underworld Explosion";
   x=x+1;
   if (i==x) ObjName="Underworld Passage SPC";
   x=x+1;
   if (i==x) ObjName="Underworld Smoke";
   x=x+1;
   if (i==x) ObjName="Valkyrie";
   x=x+1;
   if (i==x) ObjName="Villager Egyptian";
   x=x+1;
   if (i==x) ObjName="Villager Greek";
   x=x+1;
   if (i==x) ObjName="Villager Norse";
   x=x+1;
   if (i==x) ObjName="Vision Revealer";
   x=x+1;
   if (i==x) ObjName="Vision SFX";
   x=x+1;
   if (i==x) ObjName="Volley";
   x=x+1;
   if (i==x) ObjName="Vulture";
   x=x+1;
   if (i==x) ObjName="Wadjet";
   x=x+1;
   if (i==x) ObjName="Wadjet Spit";
   x=x+1;
   if (i==x) ObjName="Walking Berry Bush";
   x=x+1;
   if (i==x) ObjName="Walking Woods Oak";
   x=x+1;
   if (i==x) ObjName="Walking Woods Palm";
   x=x+1;
   if (i==x) ObjName="Walking Woods Pine";
   x=x+1;
   if (i==x) ObjName="Walking Woods Pine Snow";
   x=x+1;
   if (i==x) ObjName="Walking Woods Savannah";
   x=x+1;
   if (i==x) ObjName="Wall Connector";
   x=x+1;
   if (i==x) ObjName="Wall Connector Destruction SFX";
   x=x+1;
   if (i==x) ObjName="Wall Long";
   x=x+1;
   if (i==x) ObjName="Wall Long Destruction SFX";
   x=x+1;
   if (i==x) ObjName="Wall Medium";
   x=x+1;
   if (i==x) ObjName="Wall Short";
   x=x+1;
   if (i==x) ObjName="Wall Short Destruction SFX";
   x=x+1;
   if (i==x) ObjName="Walrus";
   x=x+1;
   if (i==x) ObjName="War Elephant";
   x=x+1;
   if (i==x) ObjName="Water Buffalo";
   x=x+1;
   if (i==x) ObjName="Water decoration";
   x=x+1;
   if (i==x) ObjName="Water Lilly";
   x=x+1;
   if (i==x) ObjName="Water Reeds";
   x=x+1;
   if (i==x) ObjName="Waterfall";
   x=x+1;
   if (i==x) ObjName="Wave";
   x=x+1;
   if (i==x) ObjName="Waypoint Flag";
   x=x+1;
   if (i==x) ObjName="Weapons";
   x=x+1;
   if (i==x) ObjName="Well of Urd";
   x=x+1;
   if (i==x) ObjName="Whale";
   x=x+1;
   if (i==x) ObjName="Wolf";
   x=x+1;
   if (i==x) ObjName="Wonder";
   x=x+1;
   if (i==x) ObjName="Wonder SPC";
   x=x+1;
   if (i==x) ObjName="Wood Pile 1";
   x=x+1;
   if (i==x) ObjName="Wood Pile 2";
   x=x+1;
   if (i==x) ObjName="Wood Pile 3";
   x=x+1;
   if (i==x) ObjName="Yardstick";
   x=x+1;
   if (i==x) ObjName="Zebra";
   int id = rmCreateObjectDef(ObjName);
   rmAddObjectDefItem(id,ObjName,1,0.0);
   rmSetObjectDefMinDistance(id,0.0);
   rmSetObjectDefMaxDistance(id,0.0);
   rmPlaceObjectDefAtLoc(id, 1, MyAtX, MyAtZ, 1);
   if (rmGetNumberUnitsPlaced(id)==0) { // try putting it on water.
      CreateAreaAtXZ("SeaPatch"+i, MyAtX, MyAtZ, rmZMetersToFraction(1.3), rmZMetersToFraction(1.3), 2, 1);
      rmPlaceObjectDefAtLoc(id, 1, MyAtX, MyAtZ, 1);
   }

}


void main(void) {
   int myTiles = 40000;
   int mySize = 2 * sqrt(2 * myTiles);
   int LandOrSea=0;
   float SeaLevel = 4;
   float MainIslandHeight = 14;  // METERS
   float pi = 22.0/7.0;
   float MyAtX=0;
   float MyAtZ=0;
   int id=0;
   rmSetMapSize(mySize,mySize); // METERS
   rmSetSeaLevel(1);
   rmSetSeaType("Red Sea");
   if (LandOrSea==1) rmTerrainInitialize("Water");
   else     rmTerrainInitialize("SandA");

   int x=0;
   for (i=1;<=25) {
      for (j=1;<=25) {
         x=x+1;
         MyAtX=.005+rmZMetersToFraction(i*21);
         MyAtZ=.005+rmZMetersToFraction(j*21);
         AddObject(x, MyAtX, MyAtZ);
         if (x==623) break;
      }
      if (x==623) break;
   }
}
